import 'package:vdocipher_flutter/src/offline/download_options.dart';
import 'package:vdocipher_flutter/src/types/media_info.dart';
import 'package:vdocipher_flutter/src/types/track/audio_track.dart';
import 'package:vdocipher_flutter/src/types/track/video_track.dart';

class InternalDownloadOption extends DownloadOptions {
  late String otp;
  late String playbackInfo;
  String? customPlayerId;

  InternalDownloadOption(
      String? mediaId,
      MediaInfo mediaInfo,
      List<AudioTrack> allAudio,
      List<VideoTrack> allVideo,
      String otp,
      String playbackInfo,
      String? customPlayerId)
      : super(mediaId, mediaInfo, allAudio, allVideo) {
    this.otp = otp;
    this.playbackInfo = playbackInfo;
    this.customPlayerId = customPlayerId;
  }
}
